#include <iostream>
using namespace std;

const int MAXD = 20;

char scan1[MAXD][MAXD], scan2[MAXD][MAXD];

bool check(int r, int c1, int c2, int offset)
{
	for(int i=0; i<r; i++) {
		for(int j=0; j<offset; j++)			// scan 1 only
			if (scan1[i][j] == '0')
				return false;
		for(int j=offset; j<c1; j++) 		// scan1 and scan 2
			if (scan1[i][j] == scan2[i][j-offset])
				return false;
		for(int j=c1; j<c2+offset; j++)			// scan 1 only
			if (scan2[i][j-offset] == '0')
				return false;
	}
	return true;
}

int main()
{
	int r, c1, c2, icase=0;

	cin >> r >> c1 >> c2;
//	while (r != 0) {
		icase++;
		int lastOne = 0;					// last column in scan 1 with a 1
		for(int i=0; i<r; i++)
			for(int j=0; j<c1; j++) {
				cin >> scan1[i][j];
				if (scan1[i][j] == '1' && j > lastOne)
					lastOne = j;
			}
		c1 = lastOne+1;
		int firstOne = c2;					// first column in scan 2 with a 1
		for(int i=0; i<r; i++)
			for(int j=0; j<c2; j++) {
				cin >> scan2[i][j];
				if (scan2[i][j] == '1' && j < firstOne)
					firstOne = j;
			}
		if (firstOne > 0) {
			for(int i=0; i<r; i++)
				for(int j=firstOne; j<c2; j++)
					scan2[i][j-firstOne] = scan2[i][j];
			c2 -= firstOne;
		}
/*
cout << "lastone, firstone = " << lastOne << ',' << firstOne <<endl;
for(int i=0; i<r; i++) {
for(int j=0; j<c1; j++)
cout << scan1[i][j];
cout << "  ";
for(int j=0; j<c2; j++)
cout << scan2[i][j];
cout << endl;
}
*/
		bool mergeable = false;
		for(int offset=1; offset<=c1; offset++) {
			if (mergeable = check(r, c1, c2, offset))
				break;
		}
//		cout << "Case " << icase << ": ";
		if (mergeable)
			cout << "Yes" << endl;
		else
			cout << "No" << endl;

//		cin >> r >> c1 >> c2;
//	}
}
