#include <iostream>
#include <vector>

using namespace std;

void Trim(vector<vector<char> >& scan, int& scanlength){
  int trimming = true;
  while(trimming){
    for(int i = 0; i < scan.size(); i++){
      if(scan[i][scanlength-1] == '1')
	trimming = false;
    }
    if(trimming){
      for(int i = 0; i < scan.size(); i++)
	scan[i].resize(scanlength-1);
      scanlength--;
    }
  }
}
void LTrim(vector<vector<char> >& scan, int& scanlength){
int trimming = true;
  while(trimming){
    for(int i = 0; i < scan.size(); i++){
      if(scan[i][0] == '1')
	trimming = false;
    }
    if(trimming){
      for(int i = 0; i < scan.size(); i++){
	for(int j = 0; j < scan[i].size()-1; j++)
	  scan[i][j] = scan[i][j+1];
	scan[i].resize(scan[i].size()-1);
    
      }
      scanlength--;
    }
  }
}

int main(){
  int r, c1, c2;
  cin >> r >> c1 >> c2;
  vector<vector<char> > scan1(r);
  vector<vector<char> > scan2(r);
  for(int i = 0; i < r; i++){
    scan1[i].resize(c1);
    scan2[i].resize(c2);
  }
  for(int i = 0; i < r; i++)
    for(int j = 0; j < c1; j++)
      cin >> scan1[i][j];
  for(int i = 0; i < r; i++)
    for(int j = 0; j < c2; j++)
      cin >> scan2[i][j];

  Trim(scan1, c1);
  LTrim(scan2, c2);
  bool any_one_right = false;
  for(int c2start = 0; c2start<=c1; c2start++){
    //    cout << endl << "c2start: " << c2start << endl; 
    int length = c2start+c2;
    if(length < c1)
      length = c1;
    bool this_one_wrong = false;
    for(int i = 0; i < r; i++){
      for(int j = 0; j < length; j++){
	if(j < c2start){ // it's from the left scan
	  if(scan1[i][j] == '0'){
	    this_one_wrong = true;
	    //	    cout << "scan1 0 at " <<i << " " << j << endl;
	  }
	}
	else{
	  int overlap_end = c1;
	  if(c1 > c2start+c2)
	    overlap_end = c2start + c2;
	  if(j >= c2start && j < overlap_end){
	    // it's an overlap
	    if(scan1[i][j] == scan2[i][j-c2start]){
	      this_one_wrong = true;
	      //cout << "scans same at " << i << " " << j << endl;
	    }
	  }
	  else{
	    if(j >= c1){
	      if(scan2[i][j-c2start] == '0'){
		this_one_wrong = true;
		//cout << "scan2 0 at " << i << " " << j << endl;
	      }
	    }
	      else{
		if(j >= overlap_end && j < c1){
		  if(scan1[i][j] == '0'){
		    this_one_wrong = true;
		    //  cout << "Trailing scan1 0 at " << i << " " << j << endl;
		  }
		}
	      }
	  }
	}
	
      }
    }
    if(!this_one_wrong){
      any_one_right = true;
      //cout << "Correct at column " << c2start << endl;
    }
  }


  if(!any_one_right)
    cout << "No" << endl;
  else
    cout << "Yes" << endl;
  return 0;
}


	
	
